View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000535Ecere SDKide:debuggerpublic2010-08-07 20:322013-08-08 06:27
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000535: Implement a fall-back for failing watch evaluations
Description- For debugging C and C++ code
- For anything the expression or code processing fails on

Instead of those cryptic messages, pass the whole expression directly to GDB and display its output in the Watch window, perhaps in a special color to indicate it was a GDB fall-back.

Also consider making the GDB debugging window available in the release version.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000019closedjerome Memory can't be read at (null) error in watches ... 
related to 0000067closedjerome Wrong watch error message for invalid expression 
has duplicate 0000867closedjerome Debugger dumb GDB print fallback if all else fails 

-  Notes
(0000976)
jerome (administrator)
2013-08-08 06:27

Implemented in https://github.com/ecere/ecere-sdk/commit/abf6b0f999545f802eba062b30beaaa3e8e1c18b [^]

- Issue History
Date Modified Username Field Change
2010-08-07 20:32 jerome New Issue
2010-08-07 20:32 jerome Status new => assigned
2010-08-07 20:32 jerome Assigned To => redj
2010-08-07 20:44 jerome Relationship added related to 0000019
2010-08-08 17:18 jerome Relationship added related to 0000067
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 06:33 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 20:26 jerome Assigned To redj =>
2013-04-27 06:08 redj Status assigned => new
2013-08-07 02:56 jerome Assigned To => jerome
2013-08-07 02:56 jerome Status new => assigned
2013-08-07 02:56 jerome Target Version 0.44.10 64 => 0.44.08
2013-08-08 05:51 jerome Category ide => ide:debugger
2013-08-08 06:27 jerome Status assigned => closed
2013-08-08 06:27 jerome Note Added: 0000976
2013-08-08 06:27 jerome Resolution open => fixed
2013-08-08 06:27 jerome Fixed in Version => 0.44.08
2013-09-10 18:43 jerome Relationship added has duplicate 0000867



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker